## org.eclipse.amp.agf3d
Class DefaultModel3DFactoryProvider

    java.lang.Object
      org.eclipse.amp.agf3d.DefaultModel3DFactoryProvider

All Implemented Interfaces:
  IModel3DFactoryProvider

    public class DefaultModel3DFactoryProvider

extends java.lang.Object
implements IModel3DFactoryProvider

Author:
  mparker

Constructor Summary
`DefaultModel3DFactoryProvider(IGraphics3DAdapter graphicsAdapter3D, IGraphicsAdapter graphicsAdapter)`

Method Summary
`org.eclipse.gef.EditPartFactory` `getEditPart3DFactory(java.lang.Object model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModel3DFactoryProvider

    public DefaultModel3DFactoryProvider(IGraphics3DAdapter graphicsAdapter3D,
                                         IGraphicsAdapter graphicsAdapter)

Method Detail

### getEditPart3DFactory

    public org.eclipse.gef.EditPartFactory getEditPart3DFactory(java.lang.Object model)

  Specified by:
    `getEditPart3DFactory` in interface `IModel3DFactoryProvider`
  Parameters:
    `model` -
  Returns:
  See Also:
    `IModel3DFactoryProvider.getEditPart3DFactory(java.lang.Object)`